Intermittent devtools/client/webconsole/new-console-output/test/mochitest/browser_webconsole_network_messages_expand.js | Test timed out -

RESOLVED FIXED in Firefox 59

Status

defect
P5
normal
RESOLVED FIXED
a year ago
10 months ago

People

(Reporter: nataliaCs, Assigned: CosminS)

Tracking

(Blocks 1 bug, {intermittent-failure})

unspecified
Firefox 60
Dependency tree / graph

Firefox Tracking Flags

(firefox59 fixed, firefox60 fixed)

Details

(Whiteboard: [stockwell disabled])

Attachments

(1 attachment, 1 obsolete attachment)

Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
There have been 51 failures in the last week.

Failures per platform:

Linux x64: 20
Windows 7: 13
OS X 10.10: 6
Linux: 5
linux64-stylo-disabled: 4
windows10-64: 2
linux64-ccov: 1

Failures per build type:

debug: 27
opt: 17
pgo: 7

I see this had an increase in failures on January 14th. Since January the 15th it dropped to an average of 4-5 failures / day.

Here is a recent log file and a snippet with the failure:

https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-central&job_id=156986412&lineNumber=16829

[task 2018-01-17T23:15:30.531Z] 23:15:30     INFO - Buffered messages logged at 23:13:59
16827
[task 2018-01-17T23:15:30.531Z] 23:15:30     INFO - Longer timeout required, waiting longer...  Remaining timeouts: 1
16828
[task 2018-01-17T23:15:30.532Z] 23:15:30     INFO - Buffered messages finished
16829
[task 2018-01-17T23:15:30.532Z] 23:15:30     INFO - TEST-UNEXPECTED-FAIL | devtools/client/webconsole/new-console-output/test/mochitest/browser_webconsole_network_messages_expand.js | Test timed out - 
16830
[task 2018-01-17T23:15:30.538Z] 23:15:30     INFO - GECKO(2299) | ++DOMWINDOW == 14 (0x7f9a98de9c00) [pid = 2299] [serial = 608] [outer = 0x7f9ab84c3090]
16831
[task 2018-01-17T23:15:30.539Z] 23:15:30     INFO - GECKO(2299) | --DOCSHELL 0x7f9ab2caa000 == 5 [pid = 2299] [id = {54a13ff4-5790-456d-880d-2338de6d6c9c}]
16832
[task 2018-01-17T23:15:30.540Z] 23:15:30     INFO - Removing tab.

:bgrins,would you please have a look?
Flags: needinfo?(bgrinstead)
Comment hidden (Intermittent Failures Robot)
Since 19th January there are 46 failures.
For the failure pattern see Comment 3

:bgrins could you please take a look?
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Over the last 7 days there are 37 failures on this bug. Most of the failures happen on linux x32, linux x64. macosx x64, windows 10-64 and windows 7-32
Here is the most recent log example: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=160243698&lineNumber=11966

Here is a snippet from the most recent log: 

11:24:44     INFO -  Buffered messages logged at 11:23:14
11:24:44     INFO -  697 INFO Longer timeout required, waiting longer...  Remaining timeouts: 1
11:24:44     INFO -  Buffered messages finished
11:24:44    ERROR -  698 INFO TEST-UNEXPECTED-FAIL | devtools/client/webconsole/new-console-output/test/mochitest/browser_webconsole_network_messages_expand.js | Test timed out -
11:24:44     INFO -  GECKO(6448) | [Child 6620, Main Thread] WARNING: NS_ENSURE_TRUE(node) failed: file z:/build/build/src/layout/base/nsDocumentViewer.cpp, line 3713
11:24:44     INFO -  GECKO(6448) | ++DOMWINDOW == 16 (00000158001AEC00) [pid = 6448] [serial = 700] [outer = 0000015807753280]
11:24:44     INFO -  699 INFO Removing tab.
11:24:44     INFO -  700 INFO Waiting for event: 'TabClose' on [object XULElement].
11:24:44     INFO -  701 INFO Got event: 'TabClose' on [object XULElement].
Comment hidden (Intermittent Failures Robot)
(Assignee)

Comment 10

a year ago
Posted patch disable_bug1429361.patch (obsolete) — Splinter Review
Hello! I've modified the .ini file so that tests would skip on Linux x64 and Win10-64 debug based on this pattern of failures:
 
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1429361&startday=2018-02-04&endday=2018-02-11&tree=all

Could you please take a look and let me know if I've done it correctly? 
Thank you.
Attachment #8950057 - Flags: review?(jmaher)
Comment on attachment 8950057 [details] [diff] [review]
disable_bug1429361.patch

Review of attachment 8950057 [details] [diff] [review]:
-----------------------------------------------------------------

really close, fix the issue and we can get this landed.

::: devtools/client/webconsole/new-console-output/test/mochitest/browser.ini
@@ +309,4 @@
>  [browser_webconsole_network_attach.js]
>  [browser_webconsole_network_exceptions.js]
>  [browser_webconsole_network_messages_expand.js]
> +skip-if = ((os == 'linux') || (os == 'win' && os_version == '10.0' && debug)) && bits == 64 # Bug 1429361, disabled on Linux/Win for frequent failures

I would say linux32 fails often enough, lets only add the bits for windows.
Attachment #8950057 - Flags: review?(jmaher) → review-
Comment hidden (Intermittent Failures Robot)
(Assignee)

Comment 13

a year ago
Second try.  I left only the 64 bits for windows. 

+skip-if = (os == 'linux') || (os == 'win' && os_version == '10.0' && debug && bits == 64)  # Bug 1429361, disabled on Linux/Win for frequent failures
Attachment #8950707 - Flags: review?(jmaher)
Attachment #8950707 - Flags: review?(jmaher) → review+
(Assignee)

Comment 14

a year ago
:jmaher, I don't know how to delete or make unavailable the first version of the patch. How do we do that? Is it automatically applied the second one? Thank you.
Flags: needinfo?(jmaher)
Comment on attachment 8950057 [details] [diff] [review]
disable_bug1429361.patch

there is a trick-

on the attachment, edit 'details', then at the top there is yet another link for 'details', there you can edit the details of the file and make it obsolete.

when uploading a new patch you can select another attachment to be obsolete.
Attachment #8950057 - Attachment is obsolete: true
landed on mozilla-central:
https://hg.mozilla.org/integration/mozilla-inbound/rev/93227b85dd4425e59eee6958c0db9669dfb01414
Flags: needinfo?(jmaher)
Keywords: checkin-needed
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]

Comment 17

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/93227b85dd44
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 60
(Reporter)

Updated

a year ago
Blocks: 1438979
Comment hidden (Intermittent Failures Robot)
Assignee: nobody → csabou
Flags: needinfo?(bgrinstead)

Updated

10 months ago
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.